#pragma once

#include <functional>
#include <memory>

namespace Wt {
class WContainerWidget;
}

namespace eedb {
class NavigationBar {
  public:
    virtual ~NavigationBar() = default;

    virtual void attachTo(Wt::WContainerWidget * parent)   = 0;
    virtual void detach() = 0;

    virtual void registerLogoutAction(std::function< void() > f) = 0;
};
}
